EventBufferEvent::readBuffer
EventBufferEvent::setPriority
EventBufferEvent
PHP Manual

# EventBufferEvent::setCallbacks

(PECL event >= 1.2.6-beta)

EventBufferEvent::setCallbacks — Assigns read, write and event(status) callbacks

### Description

public void EventBufferEvent::setCallbacks ( callable `$readcb` , callable `$writecb` , callable `$eventcb` [, string `$arg` ] )

Assigns read, write and event(status) callbacks.

### Parameters

`readcb`

  Read event callback. See About buffer event callbacks .

`writecb`

  Write event callback. See About buffer event callbacks .

`eventcb`

  Status-change event callback. See About buffer event callbacks .

`arg`

  A variable that will be passed to all the callbacks.

### Return Values

No value is returned.

### See Also

- EventBufferEvent::__construct() - Constructs EventBufferEvent object

EventBufferEvent::readBuffer
EventBufferEvent::setPriority
EventBufferEvent
PHP Manual